import { BaseProviderAPI, BaseProviderAPICommitAction, BaseProviderAPIFile, BaseProviderAPITreeFile } from "../../BaseProviderAPI";
interface GitlabOptions {
    oauthToken?: string;
    host?: string;
}
export declare class GitlabProviderAPI extends BaseProviderAPI {
    private readonly repositories;
    private readonly repositoryFiles;
    private readonly commits;
    constructor(gitlabOptions?: GitlabOptions);
    tree(projectId: string, ref: string, path: string): Promise<BaseProviderAPITreeFile[]>;
    showFile(projectId: string, ref: string, path: string): Promise<BaseProviderAPIFile>;
    commit(projectId: string, ref: string, message: string, action: BaseProviderAPICommitAction[]): Promise<void>;
}
export {};
